### File

`src/app/_models/transaction.ts`

### Index

###### Properties
destinationToken fromValue sourceToken toValue trader tx user

### Properties

destinationToken
Type : `TxToken`
Defined in src/app/_models/transaction.ts:37

fromValue
Type : `number`
Defined in src/app/_models/transaction.ts:38

sourceToken
Type : `TxToken`
Defined in src/app/_models/transaction.ts:39

toValue
Type : `number`
Defined in src/app/_models/transaction.ts:40

trader
Type : `string`
Defined in src/app/_models/transaction.ts:41

tx
Type : `Tx`
Defined in src/app/_models/transaction.ts:43

user
Type : `AccountDetails`
Defined in src/app/_models/transaction.ts:42

    import { AccountDetails } from '@app/_models/account';

    class BlocksBloom {
      low: number;
      blockFilter: string;
      blocktxFilter: string;
      alg: string;
      filterRounds: number;
    }

    class TxToken {
      address: string;
      name: string;
      symbol: string;
    }

    class Tx {
      block: number;
      success: boolean;
      timestamp: number;
      txHash: string;
      txIndex: number;
    }

    class Transaction {
      from: string;
      sender: AccountDetails;
      to: string;
      recipient: AccountDetails;
      token: TxToken;
      tx: Tx;
      value: number;
      type?: string;
    }

    class Conversion {
      destinationToken: TxToken;
      fromValue: number;
      sourceToken: TxToken;
      toValue: number;
      trader: string;
      user: AccountDetails;
      tx: Tx;
    }

    export { BlocksBloom, TxToken, Tx, Transaction, Conversion };

# result-matching ""

# No results matching ""